package com.philisense.www.dao;

import java.util.List;
import java.util.Map;

public interface EnterpriseInformationPublicityDAO {

    int deleteByPrimaryKey(String id);

    Map<String, Object> selectByPrimaryKey(String id);

    int insert(Map<String, Object> map);

    int update(Map<String, Object> map);

    int deleteByMap(Map<String, Object> map);

    int updateByMap(Map<String, Object> map);

    Map<String, Object> getOne(Map<String, Object> map);

    List<Map<String, Object>> getAll(Map<String, Object> map);

    List<Map<String, Object>> queryPage(Map<String, Object> map);

    int count(Map<String, Object> map);

    void insertBatch(List<Map<String, Object>> list);

    void deleteBatch(List<Map<String, Object>> list);

    void updateBatch(List<Map<String, Object>> list);

    //失信事件
    List<Map<String, String>> selectSxsjQuery(String begTime,String endTime);

    //企业异常
    List<Map<String, String>> selectQyycQuery(String begTime,String endTime);

    //个体经营
    List<Map<String, String>> selectGtjyQuery(String begTime,String endTime);

    //行政处罚
    List<Map<String, String>> selectXzcfQuery(String begTime,String endTime);

    //行政奖励
    List<Map<String, String>> selectXzjlQuery(String begTime,String endTime);

    //信用评价
    List<Map<String, String>> selectXypjQuery(String begTime,String endTime);

    //企业信息
    List<Map<String, Object>> selectQyxxQuery(Map<String, Object> map);

    int selectQyxxCount(Map<String, Object> map);
    //企业列表 -> 行政处罚 行政奖励 资质资格
    List<Map<String, Object>> selectQyXzcfQuery(String xydm);
    //企业列表 -> 行政处罚 行政奖励 资质资格
    List<Map<String, Object>> selectQyXzjlQuery(String xydm);
    //企业列表 -> 行政处罚 行政奖励 资质资格
    List<Map<String, Object>> selectQyZzzgQuery(String xydm);

    //失信行为名单
    List<Map<String, String>> selectSxxwmdQuery(String begTime,String endTime);

    //良好信用信息
    List<Map<String, String>> selectLhxyxxQuery(String begTime,String endTime);


    //失信行为名单 - 分页显示
    List<Map<String, Object>> queryPageSxxw(Map<String, Object> map);

    int countSxxw(Map<String, Object> map);

    //良好信用信息 - 分页显示
    List<Map<String, Object>> queryPageLhxy(Map<String, Object> map);

    int countLhxy(Map<String, Object> map);

}
