package com.philisense.www.dao.impl;

import com.philisense.www.dao.BusinessPortraitsDAO;
import com.philisense.www.druid.DS;
import com.philisense.www.druid.DataSourceEnum;
import com.philisense.www.mapper.BusinessPortraitsMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

@Repository
public class BusinessPortraitsDAOImpl implements BusinessPortraitsDAO {

    @Autowired
    private BusinessPortraitsMapper businessPortraitsMapper;

    @Override
    @DS(name = DataSourceEnum.SLAVE1)
    public List<Map<String, String>> selectQyDwtzNum(String ztsfdm) {
        return businessPortraitsMapper.selectQyDwtzNum(ztsfdm);
    }

    @Override
    @DS(name = DataSourceEnum.SLAVE1)
    public List<Map<String, String>> selectQyScjyNum(String ztsfdm) {
        return businessPortraitsMapper.selectQyScjyNum(ztsfdm);
    }

    @Override
    @DS(name = DataSourceEnum.SLAVE1)
    public List<Map<String, String>> selectQyJjxyNum(String ztsfdm) {
        return businessPortraitsMapper.selectQyJjxyNum(ztsfdm);
    }

    @Override
    @DS(name = DataSourceEnum.SLAVE1)
    public List<Map<String, String>> selectQynbJbxxList(String ztsfdm) {
        return businessPortraitsMapper.selectQynbJbxxList(ztsfdm);
    }
}
