package com.philisense.www.mapper;


import org.apache.ibatis.annotations.Mapper;
import com.philisense.www.mapper.BaseCRUDMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;


@Mapper
public interface CreditResourceDirectoryMapper extends BaseCRUDMapper{

    public int deleteByPrimaryKey(String id);

    public Map<String, Object> selectByPrimaryKey(String id);

    public int insert(Map<String, Object> map);

    public int update(Map<String, Object> map);

    public int deleteByMap(Map<String, Object> map);

    public int updateByMap(Map<String, Object> map);

    public Map<String, Object> getOne(Map<String, Object> map);

    public List<Map<String, Object>> getAll(Map<String, Object> map);

    public List<Map<String, Object>> queryPage(Map<String, Object> map);

    public int count(Map<String, Object> map);

    public void insertBatch(List<Map<String, Object>> list);

    public void deleteBatch(List<Map<String, Object>> list);

    public void updateBatch(List<Map<String, Object>> list);

    //信用资源目录表 -》选择列表（多选）-》显示部门信息-》保存
    List<Map<String, String>> selectDeptList(@Param("parentid")String parentid);

    public List<Map<String, Object>> getProDeptTreeByParentid(Map<String, Object> map);

    public List<Map<String, Object>> getProDeptTreeByLevelCode(Map<String, Object> map);

    public List<Map<String, Object>> getPageProUserByDeptCode(Map<String, Object> map);


}
