package com.philisense.www.mapper;


import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;


@Mapper
public interface LabelManageMapper extends BaseCRUDMapper{

    public int deleteByPrimaryKey(String id);

    public Map<String, Object> selectByPrimaryKey(String id);

    public int insert(Map<String, Object> map);

    public int update(Map<String, Object> map);

    public int deleteByMap(Map<String, Object> map);

    public int updateByMap(Map<String, Object> map);

    public Map<String, Object> getOne(Map<String, Object> map);

    public List<Map<String, Object>> getAll(Map<String, Object> map);

    public List<Map<String, Object>> queryPage(Map<String, Object> map);

    public int count(Map<String, Object> map);

    public void insertBatch(List<Map<String, Object>> list);

    public void deleteBatch(List<Map<String, Object>> list);

    public void updateBatch(List<Map<String, Object>> list);

    public int updateAncestors(Map<String, Object> map);

    //xz_fy_sxbzxrmdxx 失信被执行人名单信息   xz_xzxkxx 行政许可信息  xz_xzcfxx 行政处罚信息
    int sxbzxrmdxxCount(Map<String, Object> map);
    int xzxkxxCount(Map<String, Object> map);
    int xzcfxxCount(Map<String, Object> map);
}
