package com.philisense.www.pojos.entity;
import java.util.Date;

public class LabelManage {
    public final static String ID_KEY="id";//主键
    public final static String PARENT_ID="parentId";//父部门id
    public final static String ANCESTORS="ancestors";//祖级列表
    public final static String LABEL_NAME="labelName";//标签名称
    public final static String ORDER_NUM="orderNum";//显示顺序
    public final static String STATUS="status";//标签状态（0正常 1停用）
    public final static String DEL_FLAG="delFlag";//删除标志（0代表存在 2代表删除）
    public final static String CREATE_BY="createBy";//创建者
    public final static String CREATE_TIME="createTime";//创建时间
    public final static String SCORE="score";//权重分值
    public final static String ATTRIBUTE="attribute";//属性
    public final static String BASESCORE="baseScore";//基础分
    public final static String ADDSCORE="addScore";//加减分

    private String id;
    private String parentId;
    private Date createTime;
    private String ancestors;
    private String labelName;
    private Integer orderNum;
    private String status;
    private String delFlag;
    private String createBy;
    private Double score;
    private String attribute;
    private Double baseScore;
    private Double addScore;

    public Double getBaseScore() {
        return baseScore;
    }

    public void setBaseScore(Double baseScore) {
        this.baseScore = baseScore;
    }

    public Double getAddScore() {
        return addScore;
    }

    public void setAddScore(Double addScore) {
        this.addScore = addScore;
    }

    public String getAttribute() {
        return attribute;
    }

    public void setAttribute(String attribute) {
        this.attribute = attribute;
    }

    public Double getScore() {
        return score;
    }

    public void setScore(Double score) {
        this.score = score;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getParentId() {
        return parentId;
    }

    public void setParentId(String parentId) {
        this.parentId = parentId;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getAncestors() {
        return ancestors;
    }

    public void setAncestors(String ancestors) {
        this.ancestors = ancestors;
    }

    public String getLabelName() {
        return labelName;
    }

    public void setLabelName(String labelName) {
        this.labelName = labelName;
    }

    public Integer getOrderNum() {
        return orderNum;
    }

    public void setOrderNum(Integer orderNum) {
        this.orderNum = orderNum;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }

    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }
}