package com.philisense.www.service;

import java.util.List;
import java.util.Map;

public interface ExponentialAlgorithmService {

    int deleteByPrimaryKey(String id);

    Map<String, Object> selectByPrimaryKey(String id);

    int insert(Map<String, Object> map);

    int update(Map<String, Object> map);

    int deleteByMap(Map<String, Object> map);

    int updateByMap(Map<String, Object> map);

    Map<String, Object> getOne(Map<String, Object> map);

    List<Map<String, Object>> getAll(Map<String, Object> map);

    List<Map<String, Object>> queryPage(Map<String, Object> map);

    int count(Map<String, Object> map);

    void insertBatch(List<Map<String, Object>> list);

    void deleteBatch(List<Map<String, Object>> list);

    void updateBatch(List<Map<String, Object>> list);

    List<Map<String, Object>> selectExponentialAlgorithm(Map<String, Object> map);

    //行政处罚 - 统计
    int xzcfCount(Map<String, Object> map);
    //行政奖励 - 统计
    int xzjlCount(Map<String, Object> map);
    //失信行为 - 统计
    int sxxwCount(Map<String, Object> map);

}