package com.philisense.www.service;

import java.util.List;
import java.util.Map;

public interface LabelManageService {

    int deleteByPrimaryKey(String id);

    Map<String, Object> selectByPrimaryKey(String id);

    int insert(Map<String, Object> map);

    int update(Map<String, Object> map);

    int deleteByMap(Map<String, Object> map);

    int updateByMap(Map<String, Object> map);

    Map<String, Object> getOne(Map<String, Object> map);

    List<Map<String, Object>> getAll(Map<String, Object> map);

    List<Map<String, Object>> queryPage(Map<String, Object> map);

    int count(Map<String, Object> map);

    void insertBatch(List<Map<String, Object>> list);

    void deleteBatch(List<Map<String, Object>> list);

    void updateBatch(List<Map<String, Object>> list);

    int updateAncestors(Map<String, Object> map);

    //xz_fy_sxbzxrmdxx 失信被执行人名单信息   xz_xzxkxx 行政许可信息  xz_xzcfxx 行政处罚信息
    int sxbzxrmdxxCount(Map<String, Object> map);
    int xzxkxxCount(Map<String, Object> map);
    int xzcfxxCount(Map<String, Object> map);
}