package com.philisense.www.service.impl;

import com.philisense.www.dao.BusinessPortraitsDAO;
import com.philisense.www.druid.DS;
import com.philisense.www.druid.DataSourceEnum;
import com.philisense.www.service.BusinessPortraitsService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

@Service
public class BusinessPortraitsServiceImpl implements BusinessPortraitsService {

    @Autowired
    private BusinessPortraitsDAO businessPortraitsDAO;

    @Override
    public List<Map<String, String>> selectQyDwtzNum(String ztsfdm) {
        return businessPortraitsDAO.selectQyDwtzNum(ztsfdm);
    }

    @Override
    public List<Map<String, String>> selectQyScjyNum(String ztsfdm) {
        return businessPortraitsDAO.selectQyScjyNum(ztsfdm);
    }

    @Override
    public List<Map<String, String>> selectQyJjxyNum(String ztsfdm) {
        return businessPortraitsDAO.selectQyJjxyNum(ztsfdm);
    }

    @Override
    public List<Map<String, String>> selectQynbJbxxList(String ztsfdm) {
        return businessPortraitsDAO.selectQynbJbxxList(ztsfdm);
    }
}