package com.philisense.www.service.impl;


import com.philisense.www.dao.CreditIndexReportDAO;
import com.philisense.www.service.CreditIndexReportService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

@Service
public class CreditIndexReportServiceImpl implements CreditIndexReportService {

    @Autowired
    private CreditIndexReportDAO creditIndexReportDAO;

    @Override
    public int deleteByPrimaryKey(String id) {
        return creditIndexReportDAO.deleteByPrimaryKey(id);
    }

    @Override
    public Map<String, Object> selectByPrimaryKey(String id) {
        return creditIndexReportDAO.selectByPrimaryKey(id);
    }

    @Override
    public int insert(Map<String, Object> map) {
        return creditIndexReportDAO.insert(map);
    }

    @Override
    public int update(Map<String, Object> map) {
        return creditIndexReportDAO.update(map);
    }

    @Override
    public int deleteByMap(Map<String, Object> map) {
        return creditIndexReportDAO.deleteByMap(map);
    }

    @Override
    public int updateByMap(Map<String, Object> map) {
        return creditIndexReportDAO.updateByMap(map);
    }

    @Override
    public Map<String, Object> getOne(Map<String, Object> map) {
        return creditIndexReportDAO.getOne(map);
    }

    @Override
    public List<Map<String, Object>> getAll(Map<String, Object> map) {
        return creditIndexReportDAO.getAll(map);
    }

    @Override
    public List<Map<String, Object>> queryPage(Map<String, Object> map) {
        return creditIndexReportDAO.queryPage(map);
    }

    @Override
    public int count(Map<String, Object> map) {
        return creditIndexReportDAO.count(map);
    }

    @Override
    public void insertBatch(List<Map<String, Object>> list) {
        creditIndexReportDAO.insertBatch(list);
    }

    @Override
    public void deleteBatch(List<Map<String, Object>> list) {
        creditIndexReportDAO.deleteBatch(list);
    }

    @Override
    public void updateBatch(List<Map<String, Object>> list) {
        creditIndexReportDAO.updateBatch(list);
    }

}