package com.philisense.www.service.impl;


import com.philisense.www.dao.CreditResourceDirectoryDAO;
import com.philisense.www.service.CreditResourceDirectoryService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;


import java.util.List;
import java.util.Map;

@Service
public class CreditResourceDirectoryServiceImpl implements CreditResourceDirectoryService {

    @Autowired
    private CreditResourceDirectoryDAO creditResourceDirectoryDAO;

    @Override
    public int deleteByPrimaryKey(String id) {
        return creditResourceDirectoryDAO.deleteByPrimaryKey(id);
    }

    @Override
    public Map<String, Object> selectByPrimaryKey(String id) {
        return creditResourceDirectoryDAO.selectByPrimaryKey(id);
    }

    @Override
    public int insert(Map<String, Object> map) {
        return creditResourceDirectoryDAO.insert(map);
    }

    @Override
    public int update(Map<String, Object> map) {
        return creditResourceDirectoryDAO.update(map);
    }

    @Override
    public int deleteByMap(Map<String, Object> map) {
        return creditResourceDirectoryDAO.deleteByMap(map);
    }

    @Override
    public int updateByMap(Map<String, Object> map) {
        return creditResourceDirectoryDAO.updateByMap(map);
    }

    @Override
    public Map<String, Object> getOne(Map<String, Object> map) {
        return creditResourceDirectoryDAO.getOne(map);
    }

    @Override
    public List<Map<String, Object>> getAll(Map<String, Object> map) {
        return creditResourceDirectoryDAO.getAll(map);
    }

    @Override
    public List<Map<String, Object>> queryPage(Map<String, Object> map) {
        return creditResourceDirectoryDAO.queryPage(map);
    }

    @Override
    public int count(Map<String, Object> map) {
        return creditResourceDirectoryDAO.count(map);
    }

    @Override
    public void insertBatch(List<Map<String, Object>> list) {
        creditResourceDirectoryDAO.insertBatch(list);
    }

    @Override
    public void deleteBatch(List<Map<String, Object>> list) {
        creditResourceDirectoryDAO.deleteBatch(list);
    }

    @Override
    public void updateBatch(List<Map<String, Object>> list) {
        creditResourceDirectoryDAO.updateBatch(list);
    }

    @Override
    public List<Map<String, String>> selectDeptList(String parentid) {
        return creditResourceDirectoryDAO.selectDeptList(parentid);
    }

    @Override
    public List<Map<String, Object>> getProDeptTreeByParentid(Map<String, Object> map) {
        return creditResourceDirectoryDAO.getProDeptTreeByParentid(map);
    }

    @Override
    public List<Map<String, Object>> getProDeptTreeByLevelCode(Map<String, Object> map) {
        return creditResourceDirectoryDAO.getProDeptTreeByLevelCode(map);
    }

    @Override
    public List<Map<String, Object>> getPageProUserByDeptCode(Map<String, Object> map) {
        return creditResourceDirectoryDAO.getPageProUserByDeptCode(map);
    }

}