package com.philisense.www.service.impl;

import com.philisense.www.dao.DataAnalysisChartDAO;
import com.philisense.www.druid.DS;
import com.philisense.www.druid.DataSourceEnum;
import com.philisense.www.service.DataAnalysisChartService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Calendar;
import java.util.Date;
import java.util.List;
import java.util.Map;

@Service
public class DataAnalysisChartServiceImpl implements DataAnalysisChartService {

    @Autowired
    private DataAnalysisChartDAO dataAnalysisChartDAO;

    @Override
    public List<Map<String, String>> selectIndustryNumChart(String years) {
        return dataAnalysisChartDAO.selectIndustryNumChart(years);
    }

    @Override
    public List<Map<String, String>> selectEnterpriseAddressNumChart(String years) {
        return dataAnalysisChartDAO.selectEnterpriseAddressNumChart(years);
    }

    @Override
    public List<Map<String, String>> selectDemo(String years) {
        return dataAnalysisChartDAO.selectDemo(years);
    }

    @Override
    public List<Map<String, Object>> selectMyTest(String field, String param, String tableName) {
        return dataAnalysisChartDAO.selectMyTest(field,param,tableName);
    }

}