package com.philisense.www.service.impl;


import com.philisense.www.dao.EnterpriseInformationPublicityDAO;
import com.philisense.www.service.EnterpriseInformationPublicityService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

@Service
public class EnterpriseInformationPublicityServiceImpl implements EnterpriseInformationPublicityService {

    @Autowired
    private EnterpriseInformationPublicityDAO enterpriseInformationPublicityDAO;

    @Override
    public int deleteByPrimaryKey(String id) {
        return enterpriseInformationPublicityDAO.deleteByPrimaryKey(id);
    }

    @Override
    public Map<String, Object> selectByPrimaryKey(String id) {
        return enterpriseInformationPublicityDAO.selectByPrimaryKey(id);
    }

    @Override
    public int insert(Map<String, Object> map) {
        return enterpriseInformationPublicityDAO.insert(map);
    }

    @Override
    public int update(Map<String, Object> map) {
        return enterpriseInformationPublicityDAO.update(map);
    }

    @Override
    public int deleteByMap(Map<String, Object> map) {
        return enterpriseInformationPublicityDAO.deleteByMap(map);
    }

    @Override
    public int updateByMap(Map<String, Object> map) {
        return enterpriseInformationPublicityDAO.updateByMap(map);
    }

    @Override
    public Map<String, Object> getOne(Map<String, Object> map) {
        return enterpriseInformationPublicityDAO.getOne(map);
    }

    @Override
    public List<Map<String, Object>> getAll(Map<String, Object> map) {
        return enterpriseInformationPublicityDAO.getAll(map);
    }

    @Override
    public List<Map<String, Object>> queryPage(Map<String, Object> map) {
        return enterpriseInformationPublicityDAO.queryPage(map);
    }

    @Override
    public int count(Map<String, Object> map) {
        return enterpriseInformationPublicityDAO.count(map);
    }

    @Override
    public void insertBatch(List<Map<String, Object>> list) {
        enterpriseInformationPublicityDAO.insertBatch(list);
    }

    @Override
    public void deleteBatch(List<Map<String, Object>> list) {
        enterpriseInformationPublicityDAO.deleteBatch(list);
    }

    @Override
    public void updateBatch(List<Map<String, Object>> list) {
        enterpriseInformationPublicityDAO.updateBatch(list);
    }

    @Override
    public List<Map<String, String>> selectSxsjQuery(String begTime,String endTime) {
        return enterpriseInformationPublicityDAO.selectSxsjQuery(begTime,endTime);
    }

    @Override
    public List<Map<String, String>> selectQyycQuery(String begTime,String endTime) {
        return enterpriseInformationPublicityDAO.selectQyycQuery(begTime,endTime);
    }

    @Override
    public List<Map<String, String>> selectGtjyQuery(String begTime,String endTime) {
        return enterpriseInformationPublicityDAO.selectGtjyQuery(begTime,endTime);
    }

    @Override
    public List<Map<String, String>> selectXzcfQuery(String begTime,String endTime) {
        return enterpriseInformationPublicityDAO.selectXzcfQuery(begTime,endTime);
    }

    @Override
    public List<Map<String, String>> selectXzjlQuery(String begTime,String endTime) {
        return enterpriseInformationPublicityDAO.selectXzjlQuery(begTime,endTime);
    }

    @Override
    public List<Map<String, String>> selectXypjQuery(String begTime,String endTime) {
        return enterpriseInformationPublicityDAO.selectXypjQuery(begTime,endTime);
    }

    @Override
    public List<Map<String, Object>> selectQyxxQuery(Map<String, Object> map) {
        return enterpriseInformationPublicityDAO.selectQyxxQuery(map);
    }

    @Override
    public int selectQyxxCount(Map<String, Object> map) {
        return enterpriseInformationPublicityDAO.selectQyxxCount(map);
    }

    @Override
    public List<Map<String, Object>> selectQyXzcfQuery(String xydm) {
        return enterpriseInformationPublicityDAO.selectQyXzcfQuery(xydm);
    }

    @Override
    public List<Map<String, Object>> selectQyXzjlQuery(String xydm) {
        return enterpriseInformationPublicityDAO.selectQyXzjlQuery(xydm);
    }

    @Override
    public List<Map<String, Object>> selectQyZzzgQuery(String xydm) {
        return enterpriseInformationPublicityDAO.selectQyZzzgQuery(xydm);
    }

    @Override
    public List<Map<String, String>> selectSxxwmdQuery(String begTime,String endTime) {
        return enterpriseInformationPublicityDAO.selectSxxwmdQuery(begTime,endTime);
    }

    @Override
    public List<Map<String, String>> selectLhxyxxQuery(String begTime,String endTime) {
        return enterpriseInformationPublicityDAO.selectLhxyxxQuery(begTime,endTime);
    }

    @Override
    public List<Map<String, Object>> queryPageSxxw(Map<String, Object> map) {
        return enterpriseInformationPublicityDAO.queryPageSxxw(map);
    }

    @Override
    public int countSxxw(Map<String, Object> map) {
        return enterpriseInformationPublicityDAO.countSxxw(map);
    }

    @Override
    public List<Map<String, Object>> queryPageLhxy(Map<String, Object> map) {
        return enterpriseInformationPublicityDAO.queryPageLhxy(map);
    }

    @Override
    public int countLhxy(Map<String, Object> map) {
        return enterpriseInformationPublicityDAO.countLhxy(map);
    }

}