package com.philisense.www.service.impl;


import com.philisense.www.dao.EnterpriseWarningDAO;
import com.philisense.www.service.EnterpriseWarningService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

@Service
public class EnterpriseWarningServiceImpl implements EnterpriseWarningService {

    @Autowired
    private EnterpriseWarningDAO enterpriseWarningDAO;

    @Override
    public int deleteByPrimaryKey(String id) {
        return enterpriseWarningDAO.deleteByPrimaryKey(id);
    }

    @Override
    public Map<String, Object> selectByPrimaryKey(String id) {
        return enterpriseWarningDAO.selectByPrimaryKey(id);
    }

    @Override
    public int insert(Map<String, Object> map) {
        return enterpriseWarningDAO.insert(map);
    }

    @Override
    public int update(Map<String, Object> map) {
        return enterpriseWarningDAO.update(map);
    }

    @Override
    public int deleteByMap(Map<String, Object> map) {
        return enterpriseWarningDAO.deleteByMap(map);
    }

    @Override
    public int updateByMap(Map<String, Object> map) {
        return enterpriseWarningDAO.updateByMap(map);
    }

    @Override
    public Map<String, Object> getOne(Map<String, Object> map) {
        return enterpriseWarningDAO.getOne(map);
    }

    @Override
    public List<Map<String, Object>> getAll(Map<String, Object> map) {
        return enterpriseWarningDAO.getAll(map);
    }

    @Override
    public List<Map<String, Object>> queryPage(Map<String, Object> map) {
        return enterpriseWarningDAO.queryPage(map);
    }

    @Override
    public int count(Map<String, Object> map) {
        return enterpriseWarningDAO.count(map);
    }

    @Override
    public void insertBatch(List<Map<String, Object>> list) {
        enterpriseWarningDAO.insertBatch(list);
    }

    @Override
    public void deleteBatch(List<Map<String, Object>> list) {
        enterpriseWarningDAO.deleteBatch(list);
    }

    @Override
    public void updateBatch(List<Map<String, Object>> list) {
        enterpriseWarningDAO.updateBatch(list);
    }

    @Override
    public List<Map<String, Object>> selectQyWarnList(Map<String, Object> map) {
        return enterpriseWarningDAO.selectQyWarnList(map);
    }

    @Override
    public int selectQyWarnCount(Map<String, Object> map) {
        return enterpriseWarningDAO.selectQyWarnCount(map);
    }

    @Override
    public List<Map<String, Object>> selectQyWarnNumber(Map<String, Object> map) {
        return enterpriseWarningDAO.selectQyWarnNumber(map);
    }

    @Override
    public List<Map<String, Object>> selectQyWarnBar(Map<String, Object> map) {
        return enterpriseWarningDAO.selectQyWarnBar(map);
    }

    @Override
    public List<Map<String, Object>> selectQyWarnPie(Map<String, Object> map) {
        return enterpriseWarningDAO.selectQyWarnPie(map);
    }
}