package com.philisense.www.service.impl;


import com.philisense.www.dao.ExponentialAlgorithmDAO;
import com.philisense.www.service.ExponentialAlgorithmService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

@Service
public class ExponentialAlgorithmServiceImpl implements ExponentialAlgorithmService {

    @Autowired
    private ExponentialAlgorithmDAO exponentialAlgorithmDAO;

    @Override
    public int deleteByPrimaryKey(String id) {
        return exponentialAlgorithmDAO.deleteByPrimaryKey(id);
    }

    @Override
    public Map<String, Object> selectByPrimaryKey(String id) {
        return exponentialAlgorithmDAO.selectByPrimaryKey(id);
    }

    @Override
    public int insert(Map<String, Object> map) {
        return exponentialAlgorithmDAO.insert(map);
    }

    @Override
    public int update(Map<String, Object> map) {
        return exponentialAlgorithmDAO.update(map);
    }

    @Override
    public int deleteByMap(Map<String, Object> map) {
        return exponentialAlgorithmDAO.deleteByMap(map);
    }

    @Override
    public int updateByMap(Map<String, Object> map) {
        return exponentialAlgorithmDAO.updateByMap(map);
    }

    @Override
    public Map<String, Object> getOne(Map<String, Object> map) {
        return exponentialAlgorithmDAO.getOne(map);
    }

    @Override
    public List<Map<String, Object>> getAll(Map<String, Object> map) {
        return exponentialAlgorithmDAO.getAll(map);
    }

    @Override
    public List<Map<String, Object>> queryPage(Map<String, Object> map) {
        return exponentialAlgorithmDAO.queryPage(map);
    }

    @Override
    public int count(Map<String, Object> map) {
        return exponentialAlgorithmDAO.count(map);
    }

    @Override
    public void insertBatch(List<Map<String, Object>> list) {
        exponentialAlgorithmDAO.insertBatch(list);
    }

    @Override
    public void deleteBatch(List<Map<String, Object>> list) {
        exponentialAlgorithmDAO.deleteBatch(list);
    }

    @Override
    public void updateBatch(List<Map<String, Object>> list) {
        exponentialAlgorithmDAO.updateBatch(list);
    }

    @Override
    public List<Map<String, Object>> selectExponentialAlgorithm(Map<String, Object> map) {
        return exponentialAlgorithmDAO.selectExponentialAlgorithm(map);
    }

    @Override
    public int xzcfCount(Map<String, Object> map) {
        return exponentialAlgorithmDAO.xzcfCount(map);
    }

    @Override
    public int xzjlCount(Map<String, Object> map) {
        return exponentialAlgorithmDAO.xzjlCount(map);
    }

    @Override
    public int sxxwCount(Map<String, Object> map) {
        return exponentialAlgorithmDAO.sxxwCount(map);
    }

}