package com.philisense.www.service.impl;

import com.philisense.www.dao.SysMenuDAO;
import com.philisense.www.service.SysMenuService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * 信用主题分类目录表(DaSysMenu)表服务实现类
 *
 * @author makejava
 * @since 2022-06-21 18:46:47
 */
@Service
public class SysMenuServiceImpl implements SysMenuService {

    @Autowired
    private SysMenuDAO sysMenuDAO;

    @Override
    public List<Map<String, Object>> getProMenuTreeByLevelCode(Map<String, Object> map) {
        return sysMenuDAO.getProMenuTreeByLevelCode(map);
    }

    @Override
    public List<Map<String, Object>> showDatabases() {
        return sysMenuDAO.showDatabases();
    }

    @Override
    public List<Map<String, Object>> getTableData(String map) {
        return sysMenuDAO.getTableData(map);
    }

    @Override
    public List<Map<String, Object>> getTableColumn(String tableName) {
        return sysMenuDAO.getTableColumn(tableName);
    }

    @Override
    public List<Map<String, Object>> getMenuData(String menuName) {
        return sysMenuDAO.getMenuData(menuName);
    }

    @Override
    public void cancleApprove(String menuId) {
        sysMenuDAO.cancleApprove(menuId);
    }
}
