package com.philisense.www.dao;

import java.util.List;
import java.util.Map;

public interface CreditIndexReportDAO {

    int deleteByPrimaryKey(String id);

    Map<String, Object> selectByPrimaryKey(String id);

    int insert(Map<String, Object> map);

    int update(Map<String, Object> map);

    int deleteByMap(Map<String, Object> map);

    int updateByMap(Map<String, Object> map);

    Map<String, Object> getOne(Map<String, Object> map);

    List<Map<String, Object>> getAll(Map<String, Object> map);

    List<Map<String, Object>> queryPage(Map<String, Object> map);

    int count(Map<String, Object> map);

    void insertBatch(List<Map<String, Object>> list);

    void deleteBatch(List<Map<String, Object>> list);

    void updateBatch(List<Map<String, Object>> list);

}
