package com.philisense.www.dao.impl;

import com.philisense.www.dao.BigDataAnalysisServiceDAO;
import com.philisense.www.druid.DS;
import com.philisense.www.druid.DataSourceEnum;
import com.philisense.www.mapper.BigDataAnalysisMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;

import java.util.Date;
import java.util.List;
import java.util.Map;

@Repository
public class BigDataAnalysisDAOImpl implements BigDataAnalysisServiceDAO {

    @Autowired
    private BigDataAnalysisMapper bigDataAnalysisMapper;
    @Override
    @DS(name = DataSourceEnum.SLAVE1)
    public List<Map<String, String>> selectLnhysxtj(Date yearFirst,Date YearLast) {
        return bigDataAnalysisMapper.selectLnhysxtj(yearFirst,YearLast);
    }

    @Override
    @DS(name = DataSourceEnum.SLAVE1)
    public List<Map<String, String>> selectLndqsxtj(Date yearFirst,Date YearLast) {
        return bigDataAnalysisMapper.selectLndqsxtj(yearFirst,YearLast);
    }


    @Override
    @DS(name = DataSourceEnum.SLAVE1)
    public List<Map<String, String>> selectselectDzsdfx() {
        return bigDataAnalysisMapper.selectselectDzsdfx();
    }

    @Override
    @DS(name = DataSourceEnum.SLAVE1)
    public List<Map<String, Object>> selectGcgzfx(Map<String, String> map) {
        return bigDataAnalysisMapper.selectGcgzfx(map);
    }
    @Override
    @DS(name = DataSourceEnum.SLAVE1)
    public List<Map<String, Object>> selectRqtzfxss(Map<String, String> map) {
        return bigDataAnalysisMapper.selectRqtzfxss(map);
    }
    @Override
    @DS(name = DataSourceEnum.SLAVE1)
    public List<Map<String, Object>> selectRqtzfxGd(Map<String, String> map) {
        return bigDataAnalysisMapper.selectRqtzfxGd(map);
    }



}
