package com.philisense.www.dao.impl;

import com.philisense.www.dao.DishonestyAnalysisDAO;
import com.philisense.www.druid.DS;
import com.philisense.www.druid.DataSourceEnum;
import com.philisense.www.mapper.DishonestyAnalysisMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

@Repository
public class DishonestyAnalysisDAOImpl implements DishonestyAnalysisDAO {

    @Autowired
    private DishonestyAnalysisMapper dishonestyAnalysisMapper;

    @Override
    @DS(name = DataSourceEnum.SLAVE1)
    public List<Map<String, Object>> selectQyDishonestyYearLine(Map<String, Object> map) {
        return dishonestyAnalysisMapper.selectQyDishonestyYearLine(map);
    }
    @Override
    @DS(name = DataSourceEnum.SLAVE1)
    public List<Map<String, Object>> selectQyDishonestyMoonLine(Map<String, Object> map) {
        return dishonestyAnalysisMapper.selectQyDishonestyMoonLine(map);
    }
}
