package com.philisense.www.dao.impl;

import com.philisense.www.dao.EnterpriseCreditRankingDAO;
import com.philisense.www.druid.DS;
import com.philisense.www.druid.DataSourceEnum;
import com.philisense.www.mapper.EnterpriseCreditRankingMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

@Repository
public class EnterpriseCreditRankingDAOImpl implements EnterpriseCreditRankingDAO {

    @Autowired
    private EnterpriseCreditRankingMapper enterpriseCreditRankingMapper;


    @Override
    @DS(name = DataSourceEnum.SLAVE4)
    public List<Map<String, Object>> selectQyxxRankingList(Map<String, Object> map) {
        return enterpriseCreditRankingMapper.selectQyxxRankingList(map);
    }
    @Override
    @DS(name = DataSourceEnum.SLAVE4)
    public int selectQyxxRankingCount(Map<String, Object> map) {
        return enterpriseCreditRankingMapper.selectQyxxRankingCount(map);
    }
}
