package com.philisense.www.dao.impl;

import com.philisense.www.dao.EnterpriseDishonestyTrackingDAO;
import com.philisense.www.druid.DS;
import com.philisense.www.druid.DataSourceEnum;
import com.philisense.www.mapper.EnterpriseDishonestyTrackingMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

@Repository
public class EnterpriseDishonestyTrackingDAOImpl implements EnterpriseDishonestyTrackingDAO {

    @Autowired
    private EnterpriseDishonestyTrackingMapper enterpriseDishonestyTrackingMapper;

    @Override
    public int deleteByPrimaryKey(String id) {
        return 0;
    }

    @Override
    @DS(name = DataSourceEnum.SLAVE1)
    public Map<String, Object> selectByPrimaryKey(String id) {
        return enterpriseDishonestyTrackingMapper.selectByPrimaryKey(id);
    }

    @Override
    public int insert(Map<String, Object> map) {
        return 0;
    }

    @Override
    public int update(Map<String, Object> map) {
        return 0;
    }

    @Override
    public int deleteByMap(Map<String, Object> map) {
        return 0;
    }

    @Override
    public int updateByMap(Map<String, Object> map) {
        return 0;
    }

    @Override
    @DS(name = DataSourceEnum.SLAVE1)
    public Map<String, Object> getOne(Map<String, Object> map) {
        return enterpriseDishonestyTrackingMapper.getOne(map);
    }

    @Override
    @DS(name = DataSourceEnum.SLAVE1)
    public List<Map<String, Object>> getAll(Map<String, Object> map) {
        return enterpriseDishonestyTrackingMapper.getAll(map);
    }

    @Override
    @DS(name = DataSourceEnum.SLAVE1)
    public List<Map<String, Object>> queryPage(Map<String, Object> map) {
        return enterpriseDishonestyTrackingMapper.queryPage(map);
    }

    @Override
    @DS(name = DataSourceEnum.SLAVE1)
    public int count(Map<String, Object> map) {
            return enterpriseDishonestyTrackingMapper.count(map);
        }

    @Override
    public void insertBatch(List<Map<String, Object>> list) {

    }

    @Override
    public void deleteBatch(List<Map<String, Object>> list) {

    }

    @Override
    public void updateBatch(List<Map<String, Object>> list) {

    }

    @Override
    @DS(name = DataSourceEnum.SLAVE1)
    public List<Map<String, Object>> selectQyxxQuery(Map<String, Object> map) {
        return enterpriseDishonestyTrackingMapper.selectQyxxQuery(map);
    }
    @Override
    @DS(name = DataSourceEnum.SLAVE1)
    public int selectQyxxCount(Map<String, Object> map) {
        return enterpriseDishonestyTrackingMapper.selectQyxxCount(map);
    }

    @Override
    @DS(name = DataSourceEnum.SLAVE1)
    public List<Map<String, Object>> selectQysxgzList(Map<String, Object> map) {
        return enterpriseDishonestyTrackingMapper.selectQysxgzList(map);
    }
    @Override
    @DS(name = DataSourceEnum.SLAVE1)
    public int selectQysxgzCount(Map<String, Object> map) {
        return enterpriseDishonestyTrackingMapper.selectQysxgzCount(map);
    }
    @Override
    @DS(name = DataSourceEnum.SLAVE1)
    public List<Map<String, Object>> selectQysxqkQuery(Map<String, Object> map) {
        return enterpriseDishonestyTrackingMapper.selectQysxqkQuery(map);
    }
    @Override
    @DS(name = DataSourceEnum.SLAVE1)
    public List<Map<String, Object>> selectQyclqkQuery(Map<String, Object> map) {
        return enterpriseDishonestyTrackingMapper.selectQyclqkQuery(map);
    }
    @Override
    @DS(name = DataSourceEnum.SLAVE1)
    public List<Map<String, Object>> selectQyhfqkQuery(Map<String, Object> map) {
        return enterpriseDishonestyTrackingMapper.selectQyhfqkQuery(map);
    }
    @Override
    @DS(name = DataSourceEnum.SLAVE1)
    public List<Map<String, Object>> selectQymqqkQuery(Map<String, Object> map) {
        return enterpriseDishonestyTrackingMapper.selectQymqqkQuery(map);
    }
}
