package com.philisense.www.dao.impl;

import com.philisense.www.dao.PersonnelAnalysisDAO;
import com.philisense.www.druid.DS;
import com.philisense.www.druid.DataSourceEnum;
import com.philisense.www.mapper.PersonnelAnalysisMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

@Repository
public class PersonnelAnalysisDAOImpl implements PersonnelAnalysisDAO {

    @Autowired
    private PersonnelAnalysisMapper personnelAnalysisMapper;

    @Override
    @DS(name = DataSourceEnum.SLAVE1)
    public List<Map<String, Object>> selectSxglfxList(Map<String, Object> map) {
        return personnelAnalysisMapper.selectSxglfxList(map);
    }

    @Override
    @DS(name = DataSourceEnum.SLAVE1)
    public int selectSxglfxCount(Map<String, Object> map) {
        return personnelAnalysisMapper.selectSxglfxCount(map);
    }

    @Override
    @DS(name = DataSourceEnum.SLAVE1)
    public List<Map<String, Object>> selectQycggdList(Map<String, Object> map) {
        return personnelAnalysisMapper.selectQycggdList(map);
    }

    @Override
    @DS(name = DataSourceEnum.SLAVE1)
    public List<Map<String, Object>> selectJtxxList(Map<String, Object> map) {
        return personnelAnalysisMapper.selectJtxxList(map);
    }
    @Override
    @DS(name = DataSourceEnum.SLAVE1)
    public List<Map<String, Object>> selectZyxxList(Map<String, Object> map) {
        return personnelAnalysisMapper.selectZyxxList(map);
    }
    @Override
    @DS(name = DataSourceEnum.SLAVE1)
    public List<Map<String, Object>> selectJyxxList(Map<String, Object> map) {
        return personnelAnalysisMapper.selectJyxxList(map);
    }
    @Override
    @DS(name = DataSourceEnum.SLAVE1)
    public List<Map<String, Object>> selectHjxxList(Map<String, Object> map) {
        return personnelAnalysisMapper.selectHjxxList(map);
    }

}
