package com.philisense.www.mapper;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;


@Mapper
public interface CombinationAnalysisMapper {

    List<Map<String, String>> selectIndustryBreakOnesPromise(@Param("startTime") String startTime, @Param("endTime") String endTime, @Param("qy") String qy);

    List<Map<String, String>> selectEnterpriseBreakOnesPromise(@Param("startTime") String startTime, @Param("endTime") String endTime, @Param("qy") String qy);

    List<Map<String, String>> selectPersonalBreakOnesPromise(@Param("startTime") String startTime, @Param("endTime") String endTime, @Param("qy") String qy);

    List<Map<String, String>> selectRegionBreakOnesPromise(@Param("startTime") String startTime, @Param("endTime") String endTime);

}
