package com.philisense.www.mapper;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;


@Mapper
public interface ComprehensiveStatisticalAnalysisMapper {

    List<Map<String, String>> selectEarlyWarningData(@Param("startTime") String startTime, @Param("endTime") String endTime);

    List<Map<String, String>> selectIndustryCreditIndexData(@Param("startTime") String startTime, @Param("endTime") String endTime);

    List<Map<String, String>> selectAreaEarlyWarningData(@Param("startTime") String startTime, @Param("endTime") String endTime);

    List<Map<String, String>> selectAreaEarlyWarningData1(@Param("startTime") String startTime, @Param("endTime") String endTime);

}
