package com.philisense.www.mapper;

import com.philisense.www.dtos.DaSysMenu;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.data.domain.Pageable;
import java.util.List;
import java.util.Map;

/**
 * 信用主题分类目录表(DaSysMenu)表数据库访问层
 *
 * @author makejava
 * @since 2022-06-21 18:46:38
 */
@Mapper
public interface SysMenuMapper {

    public List<Map<String, Object>> getProMenuTreeByLevelCode(Map<String, Object> map);

    public List<Map<String, Object>> showDatabases();

    public List<Map<String, Object>> getTableData(@Param("tableName") String tableName);

    public List<Map<String, Object>> getTableColumn(@Param("tableName") String tableName);

    public List<Map<String, Object>> getMenuData(@Param("menuName") String menuName);

    public void cancleApprove(@Param("menuId") String menuId);



}

