package com.philisense.www.pojos.entity;
import java.math.BigDecimal;
import java.util.Date;

public class EnterpriseCreditRanking {

    public final static String ID_KEY="id";//企业基本信息id
    public final static String ZTSFDM_KEY="ztsfdm";//主体身份代码
    public final static String XYDM_KEY="xydm";//统一社会信用代码
    public final static String QYMC_KEY="qymc";//企业（机构）名称
    public final static String ZCH_KEY="zch";//注册号
    public final static String SCZTLX_KEY="scztlx";//市场主体类型
    public final static String CHNESS_KEY="chness";//市场主体类型（中文名称）
    public final static String HYMH_KEY="hymh";//行业门类
    public final static String HYDM_KEY="hydm";//行业代码
    public final static String CLRQ_KEY="clrq";//成立日期
    public final static String DJJG_KEY="djjg";//登记机关
    public final static String DJJGS_KEY="djjgs";//登记机关（中文名称）
    public final static String YWFWLX_KEY="ywfwlx";//业务范围类型
    public final static String YWFWLXS_KEY="ywfwlxs";//业务范围类型（中文名称
    public final static String JYFW_KEY="jyfw";//经营范围
    public final static String JYRQ_KEY="jyrq";//经营(驻在)期限自
    public final static String JYQX_KEY="jyqx";//经营(驻在)期限至
    public final static String DJZT_KEY="djzt";//登记状态
    public final static String DJZTS_KEY="djzts";//登记状态（中文名称）
    public final static String QY_KEY="qy";//区域
    public final static String ZS_KEY="zs";//住所
    public final static String ZCZB_KEY="zczb";//注册资本(金)
    public final static String BZ_KEY="bz";//注册资本(金)币种
    public final static String ZBS_KEY="zbs";//注册资本(金)币种（中文 名称）
    public final static String FDDBR_KEY="fddbr";//法定代表人
    public final static String HZRQ_KEY="hzrq";//核准日期
    public final static String SJHBDW_KEY="sjhbdw";//数据汇总单位
    public final static String SJHZSJ_KEY="sjhzsj";//数据汇总时间
    public final static String SJHZDW_KEY="sjhzdw";//数据来源单位
    public final static String YMDM_KEY="ymdm";//数据来源单位统一社会信 用代码
    public final static String BZS_KEY="bzs";//备注
    public final static String SB_STATUS_KEY="sb_status";//上报状态
    public final static String CREATER_KEY="creater";//创建人
    public final static String CREATER_ID_KEY="creater_id";//创建人id
    public final static String CREATER_TIME_KEY="creater_time";//创建时间
    public final static String UPDETE_TIME_KEY="updete_time";//修改时间

    private String  id;
    private String  ztsfdm;
    private String  xydm;
    private String  qymc;
    private String  zch;
    private String  scztlx;
    private String  chness;
    private String  hymh;
    private String  hydm;
    private Date  clrq;
    private String  djjg;
    private String  djjgs;
    private String  ywfwlx;
    private String  ywfwlxs;
    private String  jyfw;
    private Date  jyrq;
    private Date  jyqx;
    private String  djzt;
    private String  djzts;
    private String  qy;
    private String  zs;
    private BigDecimal zczb;
    private BigDecimal  bz;
    private BigDecimal  zbs;
    private String  fddbr;
    private Date  hzrq;
    private String  sjhbdw;
    private Date  sjhzsj;
    private String  sjhzdw;
    private String  ymdm;
    private String  bzs;
    private String  sbstatus;
    private String  creater;
    private String  createrid;
    private Date  creatertime;
    private Date  updetetime;

    public String  getId() {
        return id;
    }

    public void setId(String  id) {
        this.id = id;
    }
    public String  getZtsfdm() {
        return ztsfdm;
    }

    public void setZtsfdm(String  ztsfdm) {
        this.ztsfdm = ztsfdm;
    }
    public String  getXydm() {
        return xydm;
    }

    public void setXydm(String  xydm) {
        this.xydm = xydm;
    }
    public String  getQymc() {
        return qymc;
    }

    public void setQymc(String  qymc) {
        this.qymc = qymc;
    }
    public String  getZch() {
        return zch;
    }

    public void setZch(String  zch) {
        this.zch = zch;
    }
    public String  getScztlx() {
        return scztlx;
    }

    public void setScztlx(String  scztlx) {
        this.scztlx = scztlx;
    }
    public String  getChness() {
        return chness;
    }

    public void setChness(String  chness) {
        this.chness = chness;
    }
    public String  getHymh() {
        return hymh;
    }

    public void setHymh(String  hymh) {
        this.hymh = hymh;
    }
    public String  getHydm() {
        return hydm;
    }

    public void setHydm(String  hydm) {
        this.hydm = hydm;
    }
    public Date  getClrq() {
        return clrq;
    }

    public void setClrq(Date  clrq) {
        this.clrq = clrq;
    }
    public String  getDjjg() {
        return djjg;
    }

    public void setDjjg(String  djjg) {
        this.djjg = djjg;
    }
    public String  getDjjgs() {
        return djjgs;
    }

    public void setDjjgs(String  djjgs) {
        this.djjgs = djjgs;
    }
    public String  getYwfwlx() {
        return ywfwlx;
    }

    public void setYwfwlx(String  ywfwlx) {
        this.ywfwlx = ywfwlx;
    }
    public String  getYwfwlxs() {
        return ywfwlxs;
    }

    public void setYwfwlxs(String  ywfwlxs) {
        this.ywfwlxs = ywfwlxs;
    }
    public String  getJyfw() {
        return jyfw;
    }

    public void setJyfw(String  jyfw) {
        this.jyfw = jyfw;
    }
    public Date  getJyrq() {
        return jyrq;
    }

    public void setJyrq(Date  jyrq) {
        this.jyrq = jyrq;
    }
    public Date  getJyqx() {
        return jyqx;
    }

    public void setJyqx(Date  jyqx) {
        this.jyqx = jyqx;
    }
    public String  getDjzt() {
        return djzt;
    }

    public void setDjzt(String  djzt) {
        this.djzt = djzt;
    }
    public String  getDjzts() {
        return djzts;
    }

    public void setDjzts(String  djzts) {
        this.djzts = djzts;
    }
    public String  getQy() {
        return qy;
    }

    public void setQy(String  qy) {
        this.qy = qy;
    }
    public String  getZs() {
        return zs;
    }

    public void setZs(String  zs) {
        this.zs = zs;
    }
    public BigDecimal  getZczb() {
        return zczb;
    }

    public void setZczb(BigDecimal  zczb) {
        this.zczb = zczb;
    }
    public BigDecimal  getBz() {
        return bz;
    }

    public void setBz(BigDecimal  bz) {
        this.bz = bz;
    }
    public BigDecimal  getZbs() {
        return zbs;
    }

    public void setZbs(BigDecimal  zbs) {
        this.zbs = zbs;
    }
    public String  getFddbr() {
        return fddbr;
    }

    public void setFddbr(String  fddbr) {
        this.fddbr = fddbr;
    }
    public Date  getHzrq() {
        return hzrq;
    }

    public void setHzrq(Date  hzrq) {
        this.hzrq = hzrq;
    }
    public String  getSjhbdw() {
        return sjhbdw;
    }

    public void setSjhbdw(String  sjhbdw) {
        this.sjhbdw = sjhbdw;
    }
    public Date  getSjhzsj() {
        return sjhzsj;
    }

    public void setSjhzsj(Date  sjhzsj) {
        this.sjhzsj = sjhzsj;
    }
    public String  getSjhzdw() {
        return sjhzdw;
    }

    public void setSjhzdw(String  sjhzdw) {
        this.sjhzdw = sjhzdw;
    }
    public String  getYmdm() {
        return ymdm;
    }

    public void setYmdm(String  ymdm) {
        this.ymdm = ymdm;
    }
    public String  getBzs() {
        return bzs;
    }

    public void setBzs(String  bzs) {
        this.bzs = bzs;
    }
    public String  getSbstatus() {
        return sbstatus;
    }

    public void setSbstatus(String  sbstatus) {
        this.sbstatus = sbstatus;
    }
    public String  getCreater() {
        return creater;
    }

    public void setCreater(String  creater) {
        this.creater = creater;
    }
    public String  getCreaterid() {
        return createrid;
    }

    public void setCreaterid(String  createrid) {
        this.createrid = createrid;
    }
    public Date  getCreatertime() {
        return creatertime;
    }

    public void setCreatertime(Date  creatertime) {
        this.creatertime = creatertime;
    }
    public Date  getUpdetetime() {
        return updetetime;
    }

    public void setUpdetetime(Date  updetetime) {
        this.updetetime = updetetime;
    }

}