package com.philisense.www.service;

import com.philisense.www.dtos.DaSysMenu;
import org.apache.ibatis.annotations.Param;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageRequest;
import org.springframework.data.domain.Pageable;

import java.util.List;
import java.util.Map;

/**
 * 信用主题分类目录表(DaSysMenu)表服务接口
 *
 * @author makejava
 * @since 2022-06-21 18:46:40
 */
public interface SysMenuService {

    public List<Map<String, Object>> getProMenuTreeByLevelCode(Map<String, Object> map);

    public List<Map<String, Object>> showDatabases();

    public List<Map<String, Object>> getTableData(String tableName);

    public List<Map<String, Object>> getTableColumn(String tableName);

    public List<Map<String, Object>> getMenuData(String menuName);

    public void cancleApprove(String menuId);
}
