package com.philisense.www.service.impl;

import com.philisense.www.dao.EnterpriseNormDAO;
import com.philisense.www.service.EnterpriseNormService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

@Service
public class EnterpriseNormServiceImpl implements EnterpriseNormService {
    @Autowired
    private EnterpriseNormDAO enterpriseNormDAO;

    @Override
    public int selectNormCount(Map<String, Object> map) {
        return enterpriseNormDAO.selectNormCount(map);
    }

    @Override
    public List<Map<String, Object>> selectNormList(Map<String, Object> map) {
        return enterpriseNormDAO.selectNormList(map);
    }

    @Override
    public Map<String, Object> selectByPrimaryKey(String id) {
        return enterpriseNormDAO.selectByPrimaryKey(id);
    }

    @Override
    public int update(Map<String, Object> paramsmap) {
        return enterpriseNormDAO.update(paramsmap);
    }

    @Override
    public int deleteByPrimaryKey(String id) {
        return enterpriseNormDAO.deleteByPrimaryKey(id);
    }

    @Override
    public void insert(Map<String, Object> map) {
        enterpriseNormDAO.insert(map);
    }

    @Override
    public List<Map<String, Object>> selectQyxxList(Map<String, Object> map) {
        return enterpriseNormDAO.selectQyxxList(map);
    }

    @Override
    public Map<String, Object> selectByPrimaryName(String dm) {
        return enterpriseNormDAO.selectByPrimaryName(dm);
    }

    @Override
    public void insertQyxx(Map<String, Object> map) {
        enterpriseNormDAO.insertQyxx(map);
    }
}
