package com.philisense.www.service.impl;


import com.philisense.www.dao.LabelManageDAO;
import com.philisense.www.service.LabelManageService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

@Service
public class LabelManageServiceImpl implements LabelManageService {

    @Autowired
    private LabelManageDAO labelManageDAO;

    @Override
    public int deleteByPrimaryKey(String id) {
        return labelManageDAO.deleteByPrimaryKey(id);
    }

    @Override
    public Map<String, Object> selectByPrimaryKey(String id) {
        return labelManageDAO.selectByPrimaryKey(id);
    }

    @Override
    public int insert(Map<String, Object> map) {
        return labelManageDAO.insert(map);
    }

    @Override
    public int update(Map<String, Object> map) {
        return labelManageDAO.update(map);
    }

    @Override
    public int deleteByMap(Map<String, Object> map) {
        return labelManageDAO.deleteByMap(map);
    }

    @Override
    public int updateByMap(Map<String, Object> map) {
        return labelManageDAO.updateByMap(map);
    }

    @Override
    public Map<String, Object> getOne(Map<String, Object> map) {
        return labelManageDAO.getOne(map);
    }

    @Override
    public List<Map<String, Object>> getAll(Map<String, Object> map) {
        return labelManageDAO.getAll(map);
    }

    @Override
    public List<Map<String, Object>> queryPage(Map<String, Object> map) {
        return labelManageDAO.queryPage(map);
    }

    @Override
    public int count(Map<String, Object> map) {
        return labelManageDAO.count(map);
    }

    @Override
    public void insertBatch(List<Map<String, Object>> list) {
        labelManageDAO.insertBatch(list);
    }

    @Override
    public void deleteBatch(List<Map<String, Object>> list) {
        labelManageDAO.deleteBatch(list);
    }

    @Override
    public void updateBatch(List<Map<String, Object>> list) {
        labelManageDAO.updateBatch(list);
    }

    @Override
    public int updateAncestors(Map<String, Object> map) {
        return labelManageDAO.updateAncestors(map);
    }

    @Override
    public int sxbzxrmdxxCount(Map<String, Object> map) {
        return labelManageDAO.sxbzxrmdxxCount(map);
    }
    @Override
    public int xzxkxxCount(Map<String, Object> map) {
        return labelManageDAO.xzxkxxCount(map);
    }
    @Override
    public int xzcfxxCount(Map<String, Object> map) {
        return labelManageDAO.xzcfxxCount(map);
    }
}